Debian Bug report logs - #468481
Incorrect error message when target /var partition is full

Package: debian-installer; Maintainer for debian-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for debian-installer is src:debian-installer.

Reported by: Olivier Guerrier <olivier@guerrier.com>

Date: Fri, 29 Feb 2008 10:39:01 UTC

Severity: normal

Tags: confirmed

Merged with 435769, 509186

Fix blocked by 130550: aptitude: Warn or act accordingly if low on free space.

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#468481; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Olivier Guerrier <olivier@guerrier.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Olivier Guerrier <olivier@guerrier.com>
To: submit@bugs.debian.org
Subject: Incorrect error message when target /var partition is full
Date: Fri, 29 Feb 2008 11:35:50 +0100
Package: debian-installer
Severity: normal

When/if you make a too small /var partition, d-i complains with tons of
"/pool/.../blah.deb is corrupt" messages, where a single "disk full"
message and a dialog option to go back to the main menu or partition
tools would be more usefull...

It is similar to #435769, but I think correcting the error message is a
more realist goal.

--- System information. ---
Architecture: i386
Debian Release: 4.0





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#468481; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to 468481@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 468481@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Olivier Guerrier <olivier@guerrier.com>, 468481@bugs.debian.org
Subject: Re: Bug#468481: Incorrect error message when target /var partition is full
Date: Fri, 29 Feb 2008 14:07:57 +0100
On Friday 29 February 2008, Olivier Guerrier wrote:
> When/if you make a too small /var partition, d-i complains with tons of
> "/pool/.../blah.deb is corrupt" messages, where a single "disk full"
> message and a dialog option to go back to the main menu or partition
> tools would be more usefull...
>
> It is similar to #435769, but I think correcting the error message is a
> more realist goal.

The problem is that this does not really have anything to do with the 
installer. The error messages are what apt/dpkg produce in this situation 
and they would also produce these same errors on an installed system 
if /var is full.

I'm a bit hesitant in reassigning this to apt/dpkg myself.

Cheers,
FJP




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#468481; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 468481@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: 468481@bugs.debian.org
Cc: Olivier Guerrier <olivier@guerrier.com>
Subject: Re: Bug#468481: Incorrect error message when target /var partition is full
Date: Fri, 29 Feb 2008 11:20:27 -0300
Frans Pop <elendil@planet.nl> writes:

> On Friday 29 February 2008, Olivier Guerrier wrote:
>> When/if you make a too small /var partition, d-i complains with tons of
>> "/pool/.../blah.deb is corrupt" messages, where a single "disk full"
>> message and a dialog option to go back to the main menu or partition
>> tools would be more usefull...
>>
>> It is similar to #435769, but I think correcting the error message is a
>> more realist goal.
>
> The problem is that this does not really have anything to do with the 
> installer. The error messages are what apt/dpkg produce in this situation 
> and they would also produce these same errors on an installed system 
> if /var is full.
>
> I'm a bit hesitant in reassigning this to apt/dpkg myself.

I'll look into it but I guess it's a dpkg issue, not sure yet.

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft sells you Windows ... Linux gives
 you the whole house."




Merged 435769 468481. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Fri, 10 Sep 2010 18:18:08 GMT) Full text and rfc822 format available.

Forcibly Merged 435769 468481 509186. Request was from Denis Laxalde <dlaxalde@gmail.com> to control@bugs.debian.org. (Mon, 24 Jan 2011 15:03:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 468481: 130550 Request was from Denis Laxalde <dlaxalde@gmail.com> to control@bugs.debian.org. (Mon, 24 Jan 2011 15:03:12 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Fri, 30 Aug 2013 15:15:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:41:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.